Name:          freerdp
Version:       3.16.0
Release:       1mamba
Summary:       A Remote Desktop Protocol Implementation
Group:         Applications/Networking
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.freerdp.com/
Source0:       https://github.com/FreeRDP/FreeRDP.git/%{version}/FreeRDP-%{version}.tar.bz2
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libSDL2-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdamage-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXi-devel
BuildRequires: libXinerama-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: libXtst-devel
BuildRequires: libXv-devel
BuildRequires: libalsa-devel
BuildRequires: libavcodec-devel
BuildRequires: libavdevice-devel
BuildRequires: libavfilter-devel
BuildRequires: libavformat-devel
BuildRequires: libavutil-devel
BuildRequires: libcups-devel
BuildRequires: libe2fs-devel
BuildRequires: libfuse3-devel
BuildRequires: libgcc
BuildRequires: libicu-devel
BuildRequires: libjson-c-devel
BuildRequires: libkrb5-devel
BuildRequires: libopenssl-devel
BuildRequires: libpam-devel
BuildRequires: libpostproc-devel
BuildRequires: libsdl2_ttf-devel
BuildRequires: libstdc++6-devel
BuildRequires: libswresample-devel
BuildRequires: libswscale-devel
BuildRequires: liburiparser-devel
BuildRequires: libusb-devel
BuildRequires: libwayland-devel
BuildRequires: libxkbcommon-devel
BuildRequires: libxkbfile-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: docbook-utils
BuildRequires: libpkcs11-helper-devel
BuildRequires: libxml2-utils
BuildRequires: xmlto
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
FreeRDP is a free implementation of the Remote Desktop Protocol (RDP), according to the Microsoft Open Specifications.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.
libfreerdp-core can be embedded in applications.
libfreerdp-channels and libfreerdp-kbd might be convenient to use in X applications together with libfreerdp-core.
libfreerdp-core can be extended with plugins handling RDP channels.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%package plugins
Group:         Applications/Networking
Summary:       Plugins for handling the standard RDP channels
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description plugins
A set of plugins to the channel manager implementing the standard virtual channels extending RDP core functionality.
For instance, sounds, clipboard sync, disk/printer redirection, etc.


%prep
%setup -q -n FreeRDP-%{version}
#-D -T
#:<< _EOF

%build
#:<< _EOF
%cmake -d build \
   -DCMAKE_BUILD_TYPE=Release \
   -DWITH_ALSA=ON \
   -DWITH_CUPS=ON \
   -DWITH_PULSEAUDIO=ON \
   -DWITH_PCSC=ON \
   -DWITH_X11=ON \
   -DWITH_XCURSOR=ON \
   -DWITH_XEXT=ON \
   -DWITH_XINERAMA=ON \
   -DWITH_XKBFILE=ON \
   -DWITH_XVL=ON \
   -DWITH_DIRECTFB=ON \
   -DWITH_DSP_FFMPEG=ON \
   -DWITH_FFMPEG=ON \
   -DWITH_ICU=ON \
   -DWITH_JPEG=ON \
   -DWITH_SERVER=ON \
   -DWITH_SWSCALE=ON \
   -DWITH_CHANNELS=ON \
   -DWITH_CLIENT_CHANNELS=ON \
   -DWITH_SERVER_CHANNELS=ON \
   -DCHANNEL_URBDRC_CLIENT=ON \
   -DUWAC_FORCE_STATIC_BUILD=ON \
%ifarch %{ix86}
   -DWITH_SSE2=OFF \
%endif
%ifarch arm
   -DWITH_NEON=OFF \
%endif
   -DCMAKE_INSTALL_LIBDIR:PATH=%{_lib}

#   -DWITH_CUNIT=OFF \

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%{_bindir}/freerdp-proxy
%{_bindir}/freerdp-shadow-cli
%{_bindir}/sdl-freerdp
%{_bindir}/sfreerdp
%{_bindir}/sfreerdp-server
%{_bindir}/winpr-hash
%{_bindir}/winpr-makecert
%{_bindir}/wlfreerdp
%{_bindir}/xfreerdp
%dir %{_datadir}/FreeRDP
%dir %{_datadir}/FreeRDP/images
%{_datadir}/FreeRDP/images/*
%{_mandir}/man1/freerdp-shadow-cli.1*
%{_mandir}/man1/freerdp-proxy.1*
%{_mandir}/man1/sdl-freerdp.1*
%{_mandir}/man1/xfreerdp.*
%{_mandir}/man1/winpr-hash.1*
%{_mandir}/man1/winpr-makecert.1*
%{_mandir}/man1/wlfreerdp.1*
%{_mandir}/man7/wlog.7*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libfreerdp-client%{MAJver}.so.*
%{_libdir}/libfreerdp%{MAJver}.so.*
%{_libdir}/libfreerdp-server%{MAJver}.so.*
%{_libdir}/libfreerdp-server-proxy%{MAJver}.so.*
%{_libdir}/libfreerdp-shadow-subsystem%{MAJver}.so.*
%{_libdir}/libfreerdp-shadow%{MAJver}.so.*
%{_libdir}/librdtk0.so.*
%{_libdir}/libwinpr-tools%{MAJver}.so.*
%{_libdir}/libwinpr%{MAJver}.so.*
%dir %{_libdir}/freerdp%{MAJver}/proxy
%{_libdir}/freerdp%{MAJver}/proxy/proxy-*.so
%doc LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/freerdp%{MAJver}
%{_includedir}/freerdp%{MAJver}/*
%dir %{_includedir}/rdtk0
%dir %{_includedir}/rdtk0/rdtk
%{_includedir}/rdtk0/rdtk/*
%dir %{_includedir}/winpr%{MAJver}/winpr
%{_includedir}/winpr%{MAJver}/winpr/*
%{_libdir}/libfreerdp-client%{MAJver}.so
%{_libdir}/libfreerdp%{MAJver}.so
%{_libdir}/libwinpr-tools%{MAJver}.so
%{_libdir}/libwinpr%{MAJver}.so
%{_libdir}/libfreerdp-server%{MAJver}.so
%{_libdir}/libfreerdp-server-proxy%{MAJver}.so
%{_libdir}/librdtk0.so
%{_libdir}/libfreerdp-shadow-subsystem%{MAJver}.so
%{_libdir}/libfreerdp-shadow%{MAJver}.so
%dir %{_libdir}/cmake/FreeRDP-Client%{MAJver}
%{_libdir}/cmake/FreeRDP-Client%{MAJver}/FreeRDP-Client*.cmake
%dir %{_libdir}/cmake/FreeRDP%{MAJver}
%{_libdir}/cmake/FreeRDP%{MAJver}/FreeRDP*.cmake
%dir %{_libdir}/cmake/WinPR%{MAJver}
%{_libdir}/cmake/WinPR%{MAJver}/WinPR*.cmake
%dir %{_libdir}/cmake/FreeRDP-Server%{MAJver}
%{_libdir}/cmake/FreeRDP-Server%{MAJver}/FreeRDP*.cmake
%dir %{_libdir}/cmake/FreeRDP-Shadow%{MAJver}
%{_libdir}/cmake/FreeRDP-Shadow%{MAJver}/FreeRDP*.cmake
%dir %{_libdir}/cmake/FreeRDP-Proxy3
%{_libdir}/cmake/FreeRDP-Proxy3/FreeRDP-*.cmake
%dir %{_libdir}/cmake/WinPR-tools3
%{_libdir}/cmake/WinPR-tools3/WinPR-*.cmake
%dir %{_libdir}/cmake/rdtk0
%{_libdir}/cmake/rdtk0/rdtk*.cmake
%{_libdir}/pkgconfig/freerdp-client%{MAJver}.pc
%{_libdir}/pkgconfig/freerdp-server%{MAJver}.pc
%{_libdir}/pkgconfig/freerdp-shadow%{MAJver}.pc
%{_libdir}/pkgconfig/winpr-tools%{MAJver}.pc
%{_libdir}/pkgconfig/winpr%{MAJver}.pc
%{_libdir}/pkgconfig/freerdp%{MAJver}.pc
%{_libdir}/pkgconfig/freerdp-server-proxy%{MAJver}.pc
%{_libdir}/pkgconfig/rdtk0.pc
#%files plugins
#%defattr(-,root,root)
##%{_libdir}/freerdp/*.so

%changelog
* Tue Jun 17 2025 Automatic Build System <autodist@openmamba.org> 3.16.0-1mamba
- automatic version update by autodist

* Sat May 10 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 3.15.0-2mamba
- rebuilt with    -DUWAC_FORCE_STATIC_BUILD=ON to cohexist with freerdp2

* Mon Apr 14 2025 Automatic Build System <autodist@openmamba.org> 3.15.0-1mamba
- automatic version update by autodist

* Wed Mar 26 2025 Automatic Build System <autodist@openmamba.org> 3.14.1-1mamba
- automatic version update by autodist

* Fri Mar 14 2025 Automatic Build System <autodist@openmamba.org> 3.14.0-1mamba
- automatic version update by autodist

* Sat Mar 08 2025 Automatic Build System <autodist@openmamba.org> 3.13.0-1mamba
- automatic version update by autodist

* Fri Feb 14 2025 Automatic Build System <autodist@openmamba.org> 3.12.0-1mamba
- automatic version update by autodist

* Fri Feb 07 2025 Automatic Build System <autodist@openmamba.org> 3.11.1-1mamba
- automatic version update by autodist

* Fri Feb 07 2025 Automatic Build System <autodist@openmamba.org> 3.11.0-1mamba
- automatic version update by autodist

* Thu Dec 19 2024 Automatic Build System <autodist@openmamba.org> 3.10.3-1mamba
- automatic version update by autodist

* Tue Dec 17 2024 Automatic Build System <autodist@openmamba.org> 3.10.2-1mamba
- automatic version update by autodist

* Mon Dec 16 2024 Automatic Build System <autodist@openmamba.org> 3.10.1-1mamba
- automatic version update by autodist

* Fri Dec 13 2024 Automatic Build System <autodist@openmamba.org> 3.10.0-1mamba
- automatic version update by autodist

* Tue Oct 22 2024 Automatic Build System <autodist@openmamba.org> 3.9.0-1mamba
- automatic version update by autodist

* Fri Aug 30 2024 Automatic Build System <autodist@openmamba.org> 3.8.0-1mamba
- automatic version update by autodist

* Fri Aug 09 2024 Automatic Build System <autodist@openmamba.org> 3.7.0-1mamba
- automatic version update by autodist

* Thu Jul 11 2024 Automatic Build System <autodist@openmamba.org> 3.6.3-1mamba
- automatic version update by autodist

* Thu Jul 04 2024 Automatic Build System <autodist@openmamba.org> 3.6.2-1mamba
- automatic version update by autodist

* Sun May 19 2024 Automatic Build System <autodist@openmamba.org> 3.5.1-1mamba
- automatic version update by autodist

* Thu Sep 21 2023 Automatic Build System <autodist@mambasoft.it> 2.11.2-1mamba
- automatic version update by autodist

* Tue Sep 05 2023 Automatic Build System <autodist@mambasoft.it> 2.11.1-1mamba
- automatic version update by autodist

* Sat Sep 02 2023 Automatic Build System <autodist@mambasoft.it> 2.11.0-1mamba
- automatic version update by autodist

* Sun May 21 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.10.0-3mamba
- fix incorrectly cloning from master instead of using release tag

* Sun May 21 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.10.0-2mamba
- rebuilt with server and other new cmake options to enable support for more functionalities

* Sat Feb 18 2023 Automatic Build System <autodist@mambasoft.it> 2.10.0-1mamba
- automatic version update by autodist

* Fri Nov 18 2022 Automatic Build System <autodist@mambasoft.it> 2.9.0-1mamba
- automatic version update by autodist

* Fri Oct 14 2022 Automatic Build System <autodist@mambasoft.it> 2.8.1-1mamba
- automatic version update by autodist

* Fri Jul 29 2022 Automatic Build System <autodist@mambasoft.it> 2.8.0-1mamba
- automatic version update by autodist

* Tue Apr 26 2022 Automatic Build System <autodist@mambasoft.it> 2.7.0-1mamba
- automatic version update by autodist

* Mon Mar 07 2022 Automatic Build System <autodist@mambasoft.it> 2.6.1-1mamba
- automatic version update by autodist

* Wed Feb 23 2022 Automatic Build System <autodist@mambasoft.it> 2.6.0-1mamba
- automatic version update by autodist

* Thu Jan 13 2022 Automatic Build System <autodist@mambasoft.it> 2.5.0-1mamba
- automatic version update by autodist

* Thu Oct 21 2021 Automatic Build System <autodist@mambasoft.it> 2.4.1-1mamba
- automatic version update by autodist

* Wed Jul 28 2021 Automatic Build System <autodist@mambasoft.it> 2.4.0-1mamba
- automatic version update by autodist

* Mon Mar 15 2021 Automatic Build System <autodist@mambasoft.it> 2.3.2-1mamba
- automatic version update by autodist

* Mon Mar 01 2021 Automatic Build System <autodist@mambasoft.it> 2.3.1-1mamba
- automatic version update by autodist

* Fri Feb 26 2021 Automatic Build System <autodist@mambasoft.it> 2.3.0-1mamba
- automatic version update by autodist

* Mon Jul 20 2020 Automatic Build System <autodist@mambasoft.it> 2.2.0-1mamba
- automatic version update by autodist

* Mon Jun 22 2020 Automatic Build System <autodist@mambasoft.it> 2.1.2-1mamba
- automatic version update by autodist

* Thu May 21 2020 Automatic Build System <autodist@mambasoft.it> 2.1.1-1mamba
- automatic version update by autodist

* Mon May 11 2020 Automatic Build System <autodist@mambasoft.it> 2.1.0-1mamba
- automatic version update by autodist

* Thu Apr 23 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.0-2mamba
- freerdp: removed requirement for freerdp-plugins

* Fri Apr 10 2020 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic version update by autodist

* Sat Feb 27 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.0_20160107-1mamba
- update to 1.2.0_20160107

* Sun Dec 06 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.2-2mamba
- added patch for ffmpeg 2.3.3

* Mon Apr 22 2013 Automatic Build System <autodist@mambasoft.it> 1.0.2-1mamba
- update to 1.0.2

* Sun Sep 30 2012 Davide Madrisan <davide.madrisan@gmail.com> 1.0.1-3mamba
- add the %{name}-plugins subpackage
- enable the pulseaudio plugin
- fix linking of rdpsnd_pulse.so against libpulse.so.0  

* Sun Sep 30 2012 Davide Madrisan <davide.madrisan@gmail.com> 1.0.1-2mamba
- build requires libxml2-utils and docbook-utils

* Sat Sep 29 2012 Davide Madrisan <davide.madrisan@gmail.com> 1.0.1-1mamba
- package created by autospec
